<?php
if ($textmessage == 'فایل 📂'  and $commanda == 'none'){
			file_put_contents ("data/admin/commanda.txt",'file');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'text'=>"بخش تنظیمات فایل ها",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'افزودن فایل ➕'],['text'=>'حذف فایل ➖']],
						[['text'=>'حذف همه فایل ها 🔴']],
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}
        if ($commanda == 'file'){
			if ($textmessage == 'افزودن فایل ➕'){
			file_put_contents ("data/admin/commanda.txt",'addfile');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'parse_mode'=>'Markdown',
				'text'=>"فایل ها را ارسال کنید و سپس دکمه برگشت به تنظیمات فایل را بزنید.",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>'برگشت به تنظیمات فایل 📂']]
						]
					])
				]);
			}elseif($textmessage == 'حذف فایل ➖'){
			file_put_contents ("data/admin/commanda.txt",'remfile');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'parse_mode'=>'Markdown',
				'text'=>"فیلم هایی که می خواهید حذف شوند را ارسال کنید و سپس تنظیمات فیلم را بزنید.",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>'برگشت به تنظیمات فایل 📂']]
						]
					])
				]);	
			}elseif($textmessage == 'حذف همه فایل ها 🔴'){
				file_put_contents ("data/admin/commanda.txt",'remfileall');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"آیا مطمئن هستید تمام فایل های ذخیره شده پاک شود؟",
					'reply_markup'=>json_encode([
						'inline_keyboard'=>[
							[['text'=>'آره 👍🏻','callback_data'=>'remfileall'],['text'=>'نه 👎🏻','callback_data'=>'nremfileall']]
						]
					])
				]);	
			}
		}
        if ($textmessage == "برگشت به تنظیمات فایل 📂"){
			file_put_contents ("data/admin/commanda.txt",'file');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'text'=>"بخش تنظیمات فایل ها",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'افزودن فایل ➕'],['text'=>'حذف فایل ➖']],
						[['text'=>'حذف همه فایل ها 🔴']],
						[['text'=>'برگشت 🔙']]
					]
				])
		   ]);
		}
        if ($commanda == 'addfile'){
			if (isset($gif_id)){
				mkdir ("data/admin/media");
				$file = file_get_contents('data/admin/media/file.txt');
				$files = explode(",",$file);
				if (!in_array($gif_id,$files)){
					$add_gif = file_get_contents('data/admin/media/file.txt');
					$add_gif .= $gif_id.",";
					file_put_contents('data/admin/media/file.txt',$add_gif);
				}
				sendAction($chat_id,'typing');
				Saeed('sendMessage',[
					'chat_id'=>$chat_id,
					'text'=>"با موفقیت افزوده شد فایل بعدی را ارسال کنید تا افزوده شود یا دکمه برگشت به تنظیمات فایل را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>"برگشت به تنظیمات فایل 📂"]]
						]
					])
				]);
			}
		}elseif ($commanda == 'remfile'){
			if (isset($gif_id)){
				$file = file_get_contents('data/admin/media/file.txt');
				$files = explode(",",$file);
				if (in_array($gif_id,$files)){
					$add_gif = file_get_contents('data/admin/media/file.txt');
					$add_gif = str_replace($gif_id.",","",$add_gif);
					file_put_contents('data/admin/media/file.txt',$add_gif);
				}
				sendAction ($chat_id,'typing');
				Saeed('sendMessage',[
					'chat_id'=>$chat_id,
					'text'=>'با موفقیت حذف شد فایل بعدی را ارسال کنید تا حذف شود یا دکمه برگشت به تنظیمات فایل را بزنید.',
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>"برگشت به تنظیمات فایل 📂"]]
						]
					])
				]);
			}
		}
        if ($data == "remfileall"){
			file_put_contents("data/admin/media/file.txt","");
			sendAction ($chat_id2,'typing');
			Saeed('sendMessage',[
				'chat_id'=>$chat_id2,
				'text'=>'همه فایل ها حذف شدند.',
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>"برگشت به تنظیمات فایل 📂"]]
					]
				])
			]);
		}
        if ($data == "nremfileall"){
			sendAction ($chat_id2,'typing');
			Saeed('sendMessage',[
				'chat_id'=>$chat_id2,
				'text'=>'چیزی پاک نشد.',
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}

?>